org.apache.lucene.bkdtree3d

## Class Geo3DPointField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.bkdtree3d.Geo3DPointField

- All Implemented Interfaces:
    IndexableField

  Deprecated.
  Use dimensional values in Lucene 6.0 instead

      @Deprecated
      public final class Geo3DPointField
      extends Field

  Add this to a document to index lat/lon point, but be sure to use `Geo3DDocValuesFormat` for the field.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Index, Field.Store, Field.TermVector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldType` | `TYPE` Deprecated. Indexing `FieldType`.

    - ### Fields inherited from class org.apache.lucene.document.Field

      `boost, fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Geo3DPointField(String name, PlanetModel planetModel, double lat, double lon)` Deprecated. Creates a new Geo3DPointField field with the specified lat, lon (in radians), given a planet model.
    `Geo3DPointField(String name, PlanetModel planetModel, double x, double y, double z)` Deprecated. Creates a new Geo3DPointField field with the specified x,y,z.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FieldType TYPE

      Deprecated.
      Indexing `FieldType`.

  - ### Constructor Detail

    - #### Geo3DPointField

          public Geo3DPointField(String name,
                         PlanetModel planetModel,
                         double lat,
                         double lon)

      Deprecated.
      Creates a new Geo3DPointField field with the specified lat, lon (in radians), given a planet model.
      Throws:
        `IllegalArgumentException` - if the field name is null or lat or lon are out of bounds

    - #### Geo3DPointField

          public Geo3DPointField(String name,
                         PlanetModel planetModel,
                         double x,
                         double y,
                         double z)

      Deprecated.
      Creates a new Geo3DPointField field with the specified x,y,z.
      Throws:
        `IllegalArgumentException` - if the field name is null or lat or lon are out of bounds

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.